COMUtils (JNA API)
Description: declaration: package: com.sun.jna.platform.win32.COM, class: COMUtils

Package com.sun.jna.platform.win32.COM

# Class COMUtils

java.lang.Object
com.sun.jna.platform.win32.COM.COMUtils

public abstract class COMUtils extends Object
The Class COMUtils.

Author:
  wolf.tobias@gmx.net The Class COMUtils.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `COMUtils.COMInfo`
  The Class COMInfo.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `E_UNEXPECTED`
  `static final int`
  `S_FALSE`
  `static final int`
  `S_OK`
  The Constant CO_E_NOTINITIALIZED.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `COMUtils()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `checkRC(WinNT.HRESULT hr)`
  Throw new exception.
  `static void`
  `checkRC(WinNT.HRESULT hr, OaIdl.EXCEPINFO pExcepInfo, IntByReference puArgErr)`
  Check status of HRESULT if it indicates a failed call a COMInvokeException is reaised.
  `static boolean`
  `comIsInitialized()`
  Check if COM was initialized correctly.
  `static boolean`
  `FAILED(int hr)`
  Failed.
  `static boolean`
  `FAILED(WinNT.HRESULT hr)`
  Failed.
  `static ArrayList<COMUtils.COMInfo>`
  `getAllCOMInfoOnSystem()`
  Gets the all com info on system.
  `static boolean`
  `SUCCEEDED(int hr)`
  Succeeded.
  `static boolean`
  `SUCCEEDED(WinNT.HRESULT hr)`
  Succeeded.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### S_OK

    public static final int S_OK
    The Constant CO_E_NOTINITIALIZED.
    See Also:
      - Constant Field Values

  - ### S_FALSE

    public static final int S_FALSE
    See Also:
      - Constant Field Values

  - ### E_UNEXPECTED

    public static final int E_UNEXPECTED
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### COMUtils

    public COMUtils()

- ## Method Details

  - ### SUCCEEDED

    public static boolean SUCCEEDED(WinNT.HRESULT hr)
    Succeeded.
    Parameters:
      `hr` - the hr
    Returns:
      true, if successful

  - ### SUCCEEDED

    public static boolean SUCCEEDED(int hr)
    Succeeded.
    Parameters:
      `hr` - the hr
    Returns:
      true, if successful

  - ### FAILED

    public static boolean FAILED(WinNT.HRESULT hr)
    Failed.
    Parameters:
      `hr` - the hr
    Returns:
      true, if successful

  - ### FAILED

    public static boolean FAILED(int hr)
    Failed.
    Parameters:
      `hr` - the hr
    Returns:
      true, if successful

  - ### checkRC

    public static void checkRC(WinNT.HRESULT hr)
    Throw new exception.
    Parameters:
      `hr` - the hr

  - ### checkRC

    public static void checkRC(WinNT.HRESULT hr, OaIdl.EXCEPINFO pExcepInfo, IntByReference puArgErr)
    Check status of HRESULT if it indicates a failed call a COMInvokeException is reaised.

    The string members of the pExcepInfo are freed in this call and can't be used afterwards. The structure is not freeed, as it is expected, that is allocated via the Memory object of JNA.

    Parameters:
      `hr` - the hr
      `pExcepInfo` - the excep info, it is expected
      `puArgErr` - the pu arg err

  - ### getAllCOMInfoOnSystem

    public static ArrayList<COMUtils.COMInfo> getAllCOMInfoOnSystem()
    Gets the all com info on system.
    Returns:
      the all com info on system

  - ### comIsInitialized

    public static boolean comIsInitialized()
    Check if COM was initialized correctly. The initialization status is not changed!

    This is a debug function, not for normal usage!

    Returns:
      whether COM has been initialized